aboutsummaryrefslogtreecommitdiff
path: root/terminal
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-01-13 15:37:49 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-01-13 15:37:49 -0200
commit454c6e3c77b3db507ee81875219089047fc2d5a3 (patch)
tree34ea351902ddd6094bc0a96a65b4bc07e9ee83d8 /terminal
downloadscripts-454c6e3c77b3db507ee81875219089047fc2d5a3.tar.gz
scripts-454c6e3c77b3db507ee81875219089047fc2d5a3.tar.bz2
Initial import
Diffstat (limited to 'terminal')
-rwxr-xr-xterminal30
1 files changed, 30 insertions, 0 deletions
diff --git a/terminal b/terminal
new file mode 100755
index 0000000..8714715
--- /dev/null
+++ b/terminal
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# terminal: terminal emulator wrapper
+#
+
+source ~/.geometry || exit 1
+
+if [ "$TERM" == "rxvt" ]; then
+ if [ ! -z "$1" ]; then
+ rxvt-unicode -bg black +sb -fg white -fn $FONT -g $GEOMETRY -title terminal \
+ -e bash -rcfile $HOME/.terminal -c "$*"
+ else
+ rxvt-unicode -bg black +sb -fg white -fn $FONT -g $GEOMETRY -title terminal \
+ -e bash -rcfile $HOME/.terminal
+ fi
+elif [ "$TERM" == "Eterm" ]; then
+ if [ ! -z "$1" ]; then
+ Eterm --background-pixmap 0 --scrollbar 0 +sb -b black -f white -F $FONT --borderless no \
+ --buttonbar 0 -g $GEOMETRY -nterminal -e bash -rcfile $HOME/.terminal -c "$*"
+ else
+ Eterm --background-pixmap 0 --scrollbar 0 +sb -b black -f white -F $FONT --borderless no \
+ --buttonbar 0 -g $GEOMETRY -nterminal -e bash -rcfile $HOME/.terminal
+ fi
+elif [ "$TERM" == "xterm" ]; then
+ if [ ! -z "$1" ]; then
+ xterm -u8 -fn $FONT -geometry $GEOMETRY -title terminal -e bash -c "$*"
+ else
+ xterm -u8 -fn $FONT -geometry $GEOMETRY -title terminal -e bash
+ fi
+fi